/* Keyboard 10 Buttons
 * by Olaf Val
 * www.olafval.de
 * ----------------
 *
 * Program to play tones depending on the
 * 10 Digital-Input-Pins
 */
 
// change these 10 tone-values for an customized scale 
int tones[] = {2300, 2200, 2100, 2000, 1900, 1800, 1700, 1600, 1500, 1400};
int duration = 100; 
 
int ledPin = 13;
int speakerOut = 11;                 
byte val = 0;
int count = 0;
byte button = 0; 
int timer = 0;

void setup() {
 pinMode(ledPin, OUTPUT); 
 pinMode(speakerOut, OUTPUT); 
 
 // Button Pins:
 // declare as Input and enable pullUpResistor
 for (count=0; count<=9; count++) {
  pinMode(count, INPUT); 
  digitalWrite(count, HIGH);
   } 
}

void loop() {
  digitalWrite(speakerOut, LOW); 
  digitalWrite(ledPin, HIGH);  
   
 
 //Read Buttons:
 for (count=0;count<=9;count++) {
   button = digitalRead(count);
   if (button == LOW) {
     val = count;
     timer = 0;
     }
   }
   
   //Timer:
   timer++;
   if (timer > duration) {
     val = 10;
     }
  
  //Generate Sound:
  for (count=0;count<=9;count++) {
    if (count == val) {       
      digitalWrite(speakerOut, HIGH);
      delayMicroseconds(tones[count]);
      digitalWrite(speakerOut, LOW);
      delayMicroseconds(tones[count]);
    }
  }
}

